View Issue Details

IDProjectCategoryView StatusLast Update
0000809SOGoWeb Preferencespublic2011-07-06 16:45
Reportertolivier Assigned Toludovic  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3.1 
Fixed in Version1.3.8 
Summary0000809: Sieve settings
Description

Sogo always save sieve script when you modify your settings even if you modified anything.

In my case all my users lose my default sieve script if they want to save settings.

TagsNo tags attached.

Activities

wcronen

wcronen

2010-09-30 15:34

reporter   ~0001531

The problem is not only that it saves the sieve script but actives it!

This way the wrong sieve script may be activated even if you only edit and save another setting which doesn't refer to sieve.

francis

francis

2010-09-30 16:46

administrator   ~0001532

When the user has multiple Sieve scripts, SOGo should allow the user to select the script to activate.

For example, see SmartSieve :

http://smartsieve.sourceforge.net/images/scripts.png

tolivier

tolivier

2010-10-01 06:00

reporter   ~0001533

sogo should not save/or/activate the sieve script if the user didn't modify its settings...

there are 2 possibilities:
1) (the best) admin can include sieve command for all users.

2) or, when you close settings window, sogo save sieve script if (and only if) you modified something in.

ludovic

ludovic

2011-07-06 16:45

administrator   ~0002679

It's now possible in v1.3.8. Use sogo-tool user-preferences set ...

This will update, if required, Sieve scripts and SOGo's metadata.

Never toy around with Sieve scripts behind SOGo's back.

Issue History

Date Modified Username Field Change
2010-09-07 11:51 tolivier New Issue
2010-09-30 15:34 wcronen Note Added: 0001531
2010-09-30 16:46 francis Note Added: 0001532
2010-10-01 06:00 tolivier Note Added: 0001533
2011-07-06 16:45 ludovic Note Added: 0002679
2011-07-06 16:45 ludovic Status new => resolved
2011-07-06 16:45 ludovic Fixed in Version => 1.3.8
2011-07-06 16:45 ludovic Resolution open => fixed
2011-07-06 16:45 ludovic Assigned To => ludovic